trad on the Mac?

Hello,

I am new to Radiance. I just installed the latest
version (rad3R7all) on Mac OSX.4 and it is working
fine (as long as I start X11 first) with rad, rview,
etc. I have downloaded and installed
TclTkAquaBI-8.4.10.0. I try to run trad from the
xterm, and I get the following message:

$ trad
trad: line 12: syntax error at line 16: `(' unexpected

Thanks for any help you might be able to offer. I
haven't actually run any tcl programs on the mac
before, so perhaps there is something I need to know
about that. I tried installing the tcl launcher and
then running trad from the finder, but it didn't work
either.

Thanks again,

-mmatthe

Hi.

As far as I can tell, they seem to have changed Tcl/Tk in some fundamental ways, and the old trad code no longer runs properly. I don't have time right now to investigate, unfortunately. I don't have the latest documentation on Tcl, and it's been forever since I touched any of this code.

Anyone else have info. on the evolution of Tcl/Tk? I wish they didn't keep changing it in incompatible ways. Every new release seems to break something, and it's been many releases since I made any updates.

-Greg

ยทยทยท

From: Andrea Matthews <[email protected]>
Date: August 5, 2005 3:44:05 PM PDT

Hello,

I am new to Radiance. I just installed the latest
version (rad3R7all) on Mac OSX.4 and it is working
fine (as long as I start X11 first) with rad, rview,
etc. I have downloaded and installed
TclTkAquaBI-8.4.10.0. I try to run trad from the
xterm, and I get the following message:

$ trad
trad: line 12: syntax error at line 16: `(' unexpected

Thanks for any help you might be able to offer. I
haven't actually run any tcl programs on the mac
before, so perhaps there is something I need to know
about that. I tried installing the tcl launcher and
then running trad from the finder, but it didn't work
either.

Thanks again,

-mmatthe